MDBootstrap CACert failure causing build failures


Topic: MDBootstrap CACert failure causing build failures

sdcain pro premium priority asked 4 months ago

Expected behavior Running the commands yarn or npm i should complete successfully

Actual behavior Running yarn fails, which causes our build pipelines to fail

Resources (screenshots, code snippets etc.) During yarn the following error occurs fatal: unable to access 'https://oauth2:[our_stuff]@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none


finleysg commented 4 months ago

We have see this problem in our CI builds as well starting this morning.

git ls-remote -h -t https://oauth2:[secret]@git.mdbootstrap.com/mdb/react/re-pro.git -debug

SSL certificate problem: certificate has expired


Arkadiusz Idzikowski staff commented 4 months ago

@sdcain @finleysg We added some fixes on our end, please try to install again and confirm if the problem still occur.


finleysg commented 4 months ago

We are still seeing cert failures. See this thread as well: https://mdbootstrap.com/support/react/ssl-certificate-problem-certificate-has-expired/


Sebastian Kaczmarek staff pro premium commented 3 months ago

We are working on this issue at this very moment. Sorry for the inconvenience.


Shandu pro premium commented 3 months ago

We are having the same issue on our side with our (CI) Bitbucket pipeline build.

12 79.08 npm ERR! /usr/bin/git ls-remote -h -t https://oauth2:API_KEY@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git

12 79.08 npm ERR!

12 79.08 npm ERR! fatal: unable to access 'https://oauth2:API_KEY@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none

12 79.08 npm ERR!

12 79.08 npm ERR! exited with error code: 128


Innovation Lab pro premium commented 3 months ago

@Sebastian Kaczmarek and @Arkadiusz Idzikowski Seeing that there are a lot of projects not being able to build based on this issue, would it be possible to get an estimated time of completion?


Innovation Lab pro premium commented 3 months ago

Any updates on this issue?


Shandu pro premium commented 3 months ago

Any update would be nice.


Adam Jakubowski staff answered 3 months ago

Hello,

The problem is related to ca-certificate. From Sept 30th 2021 Let's Encrypts previous root certificate DST Root CA X3 (and it's R3 intermediate) will expire. It has been replaced by their ISRG Root X1 certificate (and replacement R3 intermediate). Probably you need to update your ca-certificate. This article can help you solve this problem: https://docs.certifytheweb.com/docs/kb/kb-202109-letsencrypt/#clients-browsers-etc

Keep coding,

Adam From MDB


Status

Closed

Specification of the issue
  • User: Pro
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB4 10.1.1
  • Device: Server
  • Browser: N/A
  • OS: Ubuntu
  • Provided sample code: No
  • Provided link: No